// #autoload
// #name        = EvRetry
// #version     = 1.2
// #date        = September 7th, 2002
// #author      = Evita
// #web         = http://www.TribesClans.com/evita
// #description = Retrys to join full servers.
// #category    = Evitas Scripts

package EvRetry {

function onConnectRequestRejected( %msg ) {

	switch$(%msg) {

		case "CR_INVALID_CONNECT_PACKET":
			%error = "Network error - badly formed network packet - this should not happen!";
		case "CR_AUTHENTICATION_FAILED":
			%error = "Failed to authenticate with server.  Please restart TRIBES 2 and try again.";
		case "CR_YOUAREBANNED":
			%error = "You are not allowed to play on this server.";
		case "CR_SERVERFULL":
			%error = "This server is full.";
		default:
			%error = "Connection error.  Please try another server.  Error code: (" @ %msg @ ")";
	}

	DisconnectedCleanup();

		if(%msg !$= "CR_SERVERFULL") {
			MessageBoxOK( "REJECTED", %error);
		} else {
			echo("Server is full!!");
                        echo("Will retry to connect to the server in 3 seconds.");
			Canvas.popDialog( MessageBoxOKDlg );
			MessageBoxOK("EvRetry v1.2", "<just:center>\n<color:999999>Server IP Address: \n<color:FFFFFF>" @ $JoinGameAddress @ "\n<color:999999>The server is full.\n<color:999999>Retry server in <color:FFFFFF>3<color:999999> seconds.\n Press<color:FFFFFF> OK <color:999999>button to cancel.", "ConnectButtonResult();" );
			$EvRetrySchedule = schedule(3000, 0, RetryConnect);
		}
}

function RetryConnect() 
{
	Canvas.popDialog( MessageBoxOKDlg );
	JoinGame($JoinGameAddress);
}

function ConnectButtonResult() 
{
	cancel($EvRetrySchedule);
	Canvas.popDialog( MessageBoxOKDlg );
}

};

activatePackage(EvRetry);
